﻿param (
[Parameter(Mandatory)]
$InputFile, 
$OutputFile)
$Properties =
 @( 
 'DisplayName',
 'SamAccountName',
 'EmailAddress'
 )
$ADOutput=@()
$users =Import-csv $InputFile
Foreach($User in $Users){
    $pos = $User.Authenticated_User.IndexOf("\")
    $username = $User.Authenticated_User.Substring($pos+1)
    $Property = Get-ADUser -Identity $username -Properties $Properties
    #write-Output $Property
    $Attributes = [ordered]@{"UserId"= $Property.SamAccountName;"Name" = $Property.DisplayName;"Subject" = $user.Authenticated_User;"Email" = $Property.EmailAddress}
    #write-Output $Attributes
    $ADOutput += New-Object -TypeName PSObject -Property $Attributes
    }
$ADOutput | Export-Csv -Path $OutputFile -NoTypeInformation -Encoding "utf8"

Remove-Item $InputFile